import request from '@/utils/request'

// 查询岗位列表
export function listPost(deptId) {
  return request({
    url: `/erp/post/allOfDept/${deptId}`,
    method: 'get'
  })
}

// 查询很多ID岗位列表
export function allOfDeptWithDept(deptIds) {
  return request({
    url: `/erp/post/allOfDeptWithDept/${deptIds}`,
    method: 'get'
  })
}

// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/erp/post/' + postId,
    method: 'get'
  })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/erp/post',
    method: 'post',
    data: data
  })
}

// 分配菜单
export function fenPeiMenu(data) {
  let {postId, ...params} = data
  return request({
    url: `/erp/post/configMenu/${postId}`,
    method: 'PUT',
    data: params.menuIds
  })
}

// 修改岗位
export function updatePost(data) {
  let {postId ,...params} = data
  return request({
    url: `/erp/post/${postId}`,
    method: 'put',
    data: params
  })
}

// 删除岗位
export function delPost(postId) {
  return request({
    url: '/erp/post/' + postId,
    method: 'delete'
  })
}
